[mousetweaks/jjardon/gnome-common-removal] Use autoreconf instead deprecated gnome-common
- From: Javier Jardón Cabezas <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [mousetweaks/jjardon/gnome-common-removal] Use autoreconf instead deprecated gnome-common
- Date: Sat, 9 Feb 2019 13:38:12 +0000 (UTC)
commit 71fbbd002bfd844e2ec3cc3540dbc17a4413c32d
Author: Javier Jardón <jjardon gnome org>
Date: Sat Feb 9 13:37:11 2019 +0000
Use autoreconf instead deprecated gnome-common
autogen.sh | 45 +++++++++++++++++++++++++++++----------------
configure.ac | 5 -----
2 files changed, 29 insertions(+), 21 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index c29c269..d9d12ec 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,25 +1,38 @@
#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-PKG_NAME="mousetweaks"
+cd $srcdir
-(test -f $srcdir/src/mt-main.c) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory."
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-# create marco directory
-if test ! -d $srcdir/m4; then
- mkdir $srcdir/m4
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
fi
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME Git (or from"
- echo " your OS vendor's package manager)."
- exit 1
-}
+autoreconf --verbose --force --install || exit 1
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index 1773bf1..1fd65c6 100644
--- a/configure.ac
+++ b/configure.ac
@@ -20,11 +20,6 @@ AC_HEADER_STDC
AC_C_CONST
AM_PROG_CC_C_O
-dnl *** GNOME macros ***
-
-GNOME_COMPILE_WARNINGS([maximum])
-GNOME_MAINTAINER_MODE_DEFINES
-
dnl *** i18n ***
AM_GNU_GETTEXT_VERSION([0.19.8])
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]